### db_hotbackup

`

###

    db_hotbackup [-cuVv] [-d data_dir ...] [-h home] [-l log_dir] [-P password] -b backup_dir

### Description

The db_hotbackup utility creates "hot backup" or "hot failover" snapshots of Berkeley DB database environments.

The db_hotbackup utility performs the following steps:

1. If the -c option is specified, checkpoint the source home database environment, and remove any unnecessary log files.

2. If the target directory for the backup does not exist, it is created with mode read-write-execute for the owner.

   If the target directory for the backup does exist and the -u option was specified, all log files in the target directory are removed; if the -u option was not specified, all files in the target directory are removed.

3. If the -u option was not specified, copy application-specific files found in the database environment home directory, or any directory specified using the -d option, into the target directory for the backup.

4. Copy all log files found in the directory specified by the -l option (or in the database environment home directory, if no -l option was specified), into the target directory for the backup.

5. Perform catastrophic recovery on the hot backup.

6. Remove any unnecessary log files from the hot backup.

The db_hotbackup utility does not resolve pending transactions that are in the prepared state. Applications that use DB_TXN->prepare should specify DB_RECOVER_FATAL when opening the environment, and run DB_ENV->txn_recover to resolve any pending transactions, when failing over to the hot backup.

The options are as follows:

-b
  Specify the target directory for the backup.
-c
  Before performing the snapshot, checkpoint the source database environment and remove any log files that are no longer required in that environment. To avoid making catastrophic failure impossible, log file removal must be integrated with log file archival.
-d
  Specify one or more source directories that contain databases; if none is specified, the database environment home directory will be searched for database files. As database files are copied into a single backup directory, files named the same, stored in different source directories, could overwrite each other when copied into the backup directory.
-h
  Specify the source directory for the backup, that is, the database environment home directory.
-l
  Specify a source directory that contains log files; if none is specified, the database environment home directory will be searched for log files.
-P
  Specify an environment password. Although Berkeley DB utilities overwrite password strings as soon as possible, be aware there may be a window of vulnerability on systems where unprivileged users can see command-line arguments or where utilities are not able to overwrite the memory containing the command-line arguments.
-u
  Update a pre-existing hot backup snapshot by copying in new log files. If the -u option is specified, no databases will be copied into the target directory.
-V
  Write the library version number to the standard output, and exit.
-v
  Run in verbose mode, listing operations as they are done.

The db_hotbackup utility uses a Berkeley DB environment (as described for the -h option, the environment variable DB_HOME, or because the utility was run in a directory containing a Berkeley DB environment). In order to avoid environment corruption when using a Berkeley DB environment, db_hotbackup should always be given the chance to detach from the environment and exit gracefully. To cause db_hotbackup to release all environment resources and exit cleanly, send it an interrupt signal (SIGINT).

The db_hotbackup utility exits 0 on success, and >0 if an error occurs.

### Environment Variables

DB_HOME
  If the -h option is not specified and the environment variable DB_HOME is set, it is used as the path of the database home, as described in DB_ENV->open.

`

Copyright (c) 1996-2005 Sleepycat Software, Inc. - All rights reserved.